<html>
<body>
<?php

//Include the code from phpQStat
include "phpQStat.php3";

//Create a phpQStat object called $server.
//Replace q2s with your game type and 192.168.0.2:27910 with your serverIP:port
//If you run the default for your game then the port is optional. 192.168.0.2 would work here.
$server = new phpQStat("q2s","216.15.162.57:27912");

//Display some server information
echo $server->server_name."<br>";
echo $server->server_map."<br>";
echo $server->server_num_players."<br>";
echo $server->server_num_players_max."<br>";

echo "<br>";

//Display all rules and values
for ($i = 0 ; $i < $server->rules->count ; $i++)
{
	echo $server->rules->name[$i]." = ".$server->rules->value[$i]."<br>";
}

//Create a table for that players, just to make it look nice.
echo "<table border=1>";
//loop thought the players
for ($i = 0 ; $i < $server->players->count ; $i++)
{
	//build row backwards to show all fields your server returned or see "ALT METHOD" below
	$line = "</tr>";
	switch ($server->players->fcount)
	{
		case 21:
			$line = "<td>".$server->players->field20[$i]."</td>".$line;
		case 20:
			$line = "<td>".$server->players->field19[$i]."</td>".$line;
		case 19:
			$line = "<td>".$server->players->field18[$i]."</td>".$line;
		case 18:
			$line = "<td>".$server->players->field17[$i]."</td>".$line;
		case 17:
			$line = "<td>".$server->players->field16[$i]."</td>".$line;
		case 16:
			$line = "<td>".$server->players->field15[$i]."</td>".$line;
		case 15:
			$line = "<td>".$server->players->field14[$i]."</td>".$line;
		case 14:
			$line = "<td>".$server->players->field13[$i]."</td>".$line;
		case 13:
			$line = "<td>".$server->players->field12[$i]."</td>".$line;
		case 12:
			$line = "<td>".$server->players->field11[$i]."</td>".$line;
		case 11:
			$line = "<td>".$server->players->field10[$i]."</td>".$line;
		case 10:
			$line = "<td>".$server->players->field9[$i]."</td>".$line;
		case 9:
			$line = "<td>".$server->players->field8[$i]."</td>".$line;
		case 8:
			$line = "<td>".$server->players->field7[$i]."</td>".$line;
		case 7:
			$line = "<td>".$server->players->field6[$i]."</td>".$line;
		case 6:
			$line = "<td>".$server->players->field5[$i]."</td>".$line;
		case 5:
			$line = "<td>".$server->players->field4[$i]."</td>".$line;
		case 4:
			$line = "<td>".$server->players->field3[$i]."</td>".$line;
		case 3:
			$line = "<td>".$server->players->field2[$i]."</td>".$line;
		case 2:
			$line = "<td>".$server->players->field1[$i]."</td>".$line;
		case 1:
			$line = "<td>".$server->players->field0[$i]."</td>".$line;
	}
	//front of table row
	$line = "<tr>".$line;
	echo $line;
}
echo "</table>";
	
//ALT METHOD
//Show specific fields for your server
echo "<table border=1><tr><th>Player</th><th>Frags</th><th>Ping</th></tr>";
//loop thought the players
for ($i = 0 ; $i < $server->players->count ; $i++)
{
	echo "<tr><td>".$server->players->field0[$i]."</td>"."<td>".$server->players->field1[$i]."</td>"."<td>".$server->players->field2[$i]."</td></tr>";
}
echo "</table>";

?>
</body>
</html>

